extern "C" 
{
	SNamedPath* IrrIO_SNamedPath_new() {
		return new SNamedPath();
	}

	SNamedPath* IrrIO_SNamedPath_newFromPath(SNamedPath* other) {
		return new SNamedPath(*other);
	}

	void IrrIO_SNamedPath_del(SNamedPath* np) {
		if (np) delete np;
	}


	bool IrrIO_SNamedPath_LessThan(SNamedPath* np, SNamedPath* other) {
		return *np < *other;
	}

	void IrrIO_SNamedPath_setPath(SNamedPath* np, SNamedPath* p) {
		np->setPath(*p);
	}

	const c8* IrrIO_SNamedPath_getPath(SNamedPath* np) {
		return np->getPath().c_str();
	}

	const c8* IrrIO_SNamedPath_getInternalName(SNamedPath* np) {
		return np->getInternalName().c_str();
	}

}
